//---------------------------------------------------------------------------

#ifndef ExecFormH
#define ExecFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBGrids.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include "TrReport.hpp"
//---------------------------------------------------------------------------
class TExecuteForm : public TForm
{
__published:	// IDE-managed Components
        TRadioGroup *DestRadioGroup;
        TButton *OKButton;
        TButton *CloseButton;
        TDBGrid *DBGrid1;
        TDBGrid *DBGrid2;
        void __fastcall OKButtonClick(TObject *Sender);
private:	// User declarations
        TTrCustomReport *FReport;
        void SetReport(TTrCustomReport *AReport);
public:		// User declarations
        __fastcall TExecuteForm(TComponent* Owner);
        __property TTrCustomReport *Report={read=FReport,write=SetReport};
};
//---------------------------------------------------------------------------
extern PACKAGE TExecuteForm *ExecuteForm;
//---------------------------------------------------------------------------
#endif
