object DataModule1: TDataModule1
  OldCreateOrder = False
  Left = 224
  Top = 198
  Height = 480
  Width = 696
  object Biolife: TTable
    Active = True
    DatabaseName = 'DBDEMOS'
    TableName = 'biolife.db'
    Left = 36
    Top = 16
  end
  object Customer: TTable
    Active = True
    DatabaseName = 'DBDEMOS'
    IndexName = 'ByCompany'
    TableName = 'customer.db'
    Left = 36
    Top = 68
    object CustomerCustNo: TFloatField
      FieldName = 'CustNo'
    end
    object CustomerCompany: TStringField
      FieldName = 'Company'
      Size = 30
    end
    object CustomerAddr1: TStringField
      FieldName = 'Addr1'
      Size = 30
    end
    object CustomerAddr2: TStringField
      FieldName = 'Addr2'
      Size = 30
    end
    object CustomerCity: TStringField
      FieldName = 'City'
      Size = 15
    end
    object CustomerState: TStringField
      FieldName = 'State'
    end
    object CustomerZip: TStringField
      FieldName = 'Zip'
      Size = 10
    end
    object CustomerCountry: TStringField
      FieldName = 'Country'
    end
    object CustomerPhone: TStringField
      FieldName = 'Phone'
      Size = 15
    end
    object CustomerFAX: TStringField
      FieldName = 'FAX'
      Size = 15
    end
    object CustomerTaxRate: TFloatField
      FieldName = 'TaxRate'
    end
    object CustomerContact: TStringField
      FieldName = 'Contact'
    end
    object CustomerLastInvoiceDate: TDateTimeField
      FieldName = 'LastInvoiceDate'
    end
  end
  object CustMasterSrc: TDataSource
    DataSet = Customer
    Left = 36
    Top = 124
  end
  object CrossTabQuery: TQuery
    Active = True
    OnCalcFields = CrossTabQueryCalcFields
    DatabaseName = 'DBDEMOS'
    SQL.Strings = (
      
        'SELECT Customer.Company, Orders.SaleDate, Orders.ItemsTotal, Ord' +
        'ers.AmountPaid'
      'FROM "orders.db" Orders'
      '   INNER JOIN "customer.db" Customer'
      '   ON  (Orders.CustNo = Customer.CustNo)  '
      'ORDER BY Customer.Company')
    Left = 36
    Top = 180
    object CrossTabQueryCompany: TStringField
      FieldName = 'Company'
      Origin = 'DBDEMOS."customer.DB".Company'
      Size = 30
    end
    object CrossTabQuerySaleDate: TDateTimeField
      FieldName = 'SaleDate'
      Origin = 'DBDEMOS."orders.DB".SaleDate'
    end
    object CrossTabQueryItemsTotal: TCurrencyField
      FieldName = 'ItemsTotal'
      Origin = 'DBDEMOS."orders.DB".ItemsTotal'
    end
    object CrossTabQueryAmountPaid: TCurrencyField
      FieldName = 'AmountPaid'
      Origin = 'DBDEMOS."orders.DB".AmountPaid'
    end
    object CrossTabQueryYear: TIntegerField
      FieldKind = fkCalculated
      FieldName = 'Year'
      Calculated = True
    end
  end
  object Country: TTable
    Active = True
    DatabaseName = 'DBDEMOS'
    TableName = 'country.db'
    Left = 136
    Top = 16
    object CountryName: TStringField
      FieldName = 'Name'
      Size = 24
    end
    object CountryCapital: TStringField
      FieldName = 'Capital'
      Size = 24
    end
    object CountryContinent: TStringField
      FieldName = 'Continent'
      Size = 24
    end
    object CountryArea: TFloatField
      FieldName = 'Area'
    end
    object CountryPopulation: TFloatField
      FieldName = 'Population'
    end
  end
  object OrdByCust: TTable
    Active = True
    DatabaseName = 'DBDEMOS'
    IndexFieldNames = 'CUSTNO'
    MasterFields = 'CUSTNO'
    MasterSource = CustMasterSrc
    ReadOnly = True
    TableName = 'ORDERS'
    Left = 136
    Top = 68
    object OrdByCustOrderNo: TFloatField
      Alignment = taLeftJustify
      DisplayWidth = 10
      FieldName = 'OrderNo'
    end
    object OrdByCustCustNo: TFloatField
      FieldName = 'CustNo'
      Visible = False
    end
    object OrdByCustSaleDate: TDateTimeField
      DisplayWidth = 9
      FieldName = 'SaleDate'
      DisplayFormat = 'DDDDD'
    end
    object OrdByCustShipDate: TDateTimeField
      DisplayWidth = 9
      FieldName = 'ShipDate'
      DisplayFormat = 'DDDDD'
    end
    object OrdByCustItemsTotal: TCurrencyField
      FieldName = 'ItemsTotal'
      Visible = False
    end
    object OrdByCustTaxRate: TFloatField
      FieldName = 'TaxRate'
      Visible = False
    end
    object OrdByCustFreight: TCurrencyField
      FieldName = 'Freight'
      Visible = False
    end
    object OrdByCustAmountPaid: TCurrencyField
      DisplayWidth = 14
      FieldName = 'AmountPaid'
    end
    object OrdByCustAmountDue: TCurrencyField
      DisplayWidth = 14
      FieldKind = fkCalculated
      FieldName = 'AmountDue'
      Calculated = True
    end
  end
  object OrdByCustSrc: TDataSource
    DataSet = OrdByCust
    Left = 140
    Top = 120
  end
  object Employee: TTable
    Active = True
    DatabaseName = 'DBDEMOS'
    TableName = 'employee.db'
    Left = 244
    Top = 16
    object EmployeeEmpNo: TIntegerField
      FieldName = 'EmpNo'
    end
    object EmployeeLastName: TStringField
      FieldName = 'LastName'
    end
    object EmployeeFirstName: TStringField
      FieldName = 'FirstName'
      Size = 15
    end
    object EmployeePhoneExt: TStringField
      FieldName = 'PhoneExt'
      Size = 4
    end
    object EmployeeHireDate: TDateTimeField
      FieldName = 'HireDate'
    end
    object EmployeeSalary: TFloatField
      FieldName = 'Salary'
    end
  end
  object Items: TTable
    Active = True
    OnCalcFields = ItemsCalcFields
    DatabaseName = 'DBDEMOS'
    IndexFieldNames = 'OrderNo'
    MasterFields = 'OrderNo'
    MasterSource = OrdByCustSrc
    TableName = 'ITEMS'
    Left = 244
    Top = 68
    object ItemsOrderNo: TFloatField
      FieldName = 'OrderNo'
    end
    object ItemsItemNo: TFloatField
      FieldName = 'ItemNo'
    end
    object ItemsPartNo: TFloatField
      FieldName = 'PartNo'
    end
    object ItemsQty: TIntegerField
      FieldName = 'Qty'
    end
    object ItemsDiscount: TFloatField
      FieldName = 'Discount'
      DisplayFormat = '0.00%'
    end
    object ItemsPartName: TStringField
      FieldKind = fkLookup
      FieldName = 'Description'
      LookupDataSet = Parts
      LookupKeyFields = 'PartNo'
      LookupResultField = 'Description'
      KeyFields = 'PartNo'
      Size = 200
      Lookup = True
    end
    object ItemsSelPrice: TCurrencyField
      FieldKind = fkLookup
      FieldName = 'SelPrice'
      LookupDataSet = Parts
      LookupKeyFields = 'PartNo'
      LookupResultField = 'ListPrice'
      KeyFields = 'PartNo'
      Lookup = True
    end
    object ItemsExtPrice: TCurrencyField
      FieldKind = fkCalculated
      FieldName = 'ExtPrice'
      Calculated = True
    end
  end
  object ItemsSrc: TDataSource
    DataSet = Items
    Left = 244
    Top = 120
  end
  object Parts: TTable
    Active = True
    DatabaseName = 'DBDEMOS'
    TableName = 'parts.db'
    Left = 336
    Top = 68
  end
end
