//---------------------------------------------------------------------------

#ifndef DMH
#define DMH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Db.hpp>
#include <DBTables.hpp>
#include <DB.hpp>
//---------------------------------------------------------------------------
class TDataModule1 : public TDataModule
{
__published:	// IDE-managed Components
        TTable *Biolife;
        TTable *Customer;
        TFloatField *CustomerCustNo;
        TStringField *CustomerCompany;
        TStringField *CustomerAddr1;
        TStringField *CustomerAddr2;
        TStringField *CustomerCity;
        TStringField *CustomerState;
        TStringField *CustomerZip;
        TStringField *CustomerCountry;
        TStringField *CustomerPhone;
        TStringField *CustomerFAX;
        TFloatField *CustomerTaxRate;
        TStringField *CustomerContact;
        TDateTimeField *CustomerLastInvoiceDate;
        TDataSource *CustMasterSrc;
        TQuery *CrossTabQuery;
        TStringField *CrossTabQueryCompany;
        TDateTimeField *CrossTabQuerySaleDate;
        TCurrencyField *CrossTabQueryItemsTotal;
        TCurrencyField *CrossTabQueryAmountPaid;
        TIntegerField *CrossTabQueryYear;
        TTable *Country;
        TStringField *CountryName;
        TStringField *CountryCapital;
        TStringField *CountryContinent;
        TFloatField *CountryArea;
        TFloatField *CountryPopulation;
        TTable *OrdByCust;
        TFloatField *OrdByCustOrderNo;
        TFloatField *OrdByCustCustNo;
        TDateTimeField *OrdByCustSaleDate;
        TDateTimeField *OrdByCustShipDate;
        TCurrencyField *OrdByCustItemsTotal;
        TFloatField *OrdByCustTaxRate;
        TCurrencyField *OrdByCustFreight;
        TCurrencyField *OrdByCustAmountPaid;
        TCurrencyField *OrdByCustAmountDue;
        TDataSource *OrdByCustSrc;
        TTable *Employee;
        TIntegerField *EmployeeEmpNo;
        TStringField *EmployeeLastName;
        TStringField *EmployeeFirstName;
        TStringField *EmployeePhoneExt;
        TDateTimeField *EmployeeHireDate;
        TFloatField *EmployeeSalary;
        TTable *Items;
        TFloatField *ItemsOrderNo;
        TFloatField *ItemsItemNo;
        TFloatField *ItemsPartNo;
        TIntegerField *ItemsQty;
        TFloatField *ItemsDiscount;
        TStringField *ItemsPartName;
        TCurrencyField *ItemsSelPrice;
        TCurrencyField *ItemsExtPrice;
        TDataSource *ItemsSrc;
        TTable *Parts;
        void __fastcall ItemsCalcFields(TDataSet *DataSet);
        void __fastcall CrossTabQueryCalcFields(TDataSet *DataSet);
private:	// User declarations
public:		// User declarations
        __fastcall TDataModule1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDataModule1 *DataModule1;
//---------------------------------------------------------------------------
#endif
